# Yahoo! UI Library

### Charts Widget 2.9.0

Yahoo! UI Library > charts > YAHOO.widget.CartesianSeries
Search:
Filters Show Private Show Protected Show Deprecated

## Class YAHOO.widget.CartesianSeries - uses YAHOO.widget.Series

Functionality common to most series appearing in cartesian charts. Generally, a `CartesianSeries` object shouldn't be instantiated directly. Instead, a subclass with a concrete implementation should be used.

### Constructor

YAHOO.widget.CartesianSeries `( )`

### Properties

#### axis - `String`

Indicates which axis the series will bind to

#### showInLegend - `Boolean`

When a Legend is present, indicates whether the series will show in the legend.

#### xField - `String`

The field used to access the x-axis value from the items from the data source.

#### yField - `String`

The field used to access the y-axis value from the items from the data source.

#### Properties inherited from YAHOO.widget.Series:

`displayName, type`

Copyright © 2011 Yahoo! Inc. All rights reserved.